package com.heuristiclab.okb.wsclient;

import at.hl.wsclient.okb.NamedOKBItem;
import at.hl.wsclient.okb.Problem;

import com.google.common.base.Predicate;

class Utilities {
	
	private static class NameFilter implements Predicate<NamedOKBItem>
	{
		private final String name;
		
		public NameFilter(String name)
		{
			this.name = name;
		}
		
		@Override
		public boolean apply(NamedOKBItem arg0) {
			return arg0.getName().getValue().equals(name);		
		}
	}
	
	
	private static class ProblemFilter implements Predicate<Problem>
	{
	    private final String problemName;
	    private final String problemClass; 
	    
	    public ProblemFilter(String problemName, String problemClass)
	    {
		this.problemClass = problemClass;
		this.problemName = problemName;
	    }

	    @Override
	    public boolean apply(Problem input) {
		// TODO Auto-generated method stub
		return false;
	    }
	}
	
	
	public static Predicate<NamedOKBItem> createNameFilter(String name)
	{
		return new NameFilter(name);
	}
	
	private Utilities()
	{
		
	}
	
	
}
